### Method

# EDataServer Source to_string

since: 3.6

#### Declaration [src]

    gchar*
    e_source_to_string (
      ESource* source,
      gsize* length
    )

#### Description [src]

Outputs the current contents of `source` as a key file string. Free the returned string with g_free().

Available since: 3.6

#### Parameters

`length`

  Type: `gsize*`

  Return location for the length of the returned string, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `gchar*`

A newly-allocated string.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.